[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TDataEvent

Specifies the type used for an asynchronous callback method.

## Declaration

Source position: forms.pp line 1324

`type TDataEvent = procedure(`
`Data: PtrInt`
`) of object;`

## Arguments

`Data` |  | PtrInt type with the argument passed to the method.

## See also

TApplication.QueueAsyncCall |  | Inserts an asynchronous call into the queue.